import { DynamicParams } from "../../../meta/server/web/dynamic-params";
/**
 * Get one {@link User} api route.
 */
export declare function otheruserIdGetRoute(_: Request, { params }: DynamicParams): Promise<Response>;
/**
 * Post one {@link EditOtherUserDto} api route.
 */
export declare function otheruserIdPostRoute(req: Request): Promise<Response>;
/**
 * Put one {@link EditOtherUserDto} api route.
 */
export declare function otheruserIdPutRoute(req: Request, { params: { id } }: DynamicParams): Promise<Response>;
/**
 * Delete one {@link User} api route.
 */
export declare function otheruserIdDeleteRoute(_: Request, { params }: DynamicParams): Promise<Response>;
